final: final-py: prev-py: {
  mne-python = prev-py.mne-python.overridePythonAttrs (old: {
    pyproject = true;
    format = null;
    propagatedBuildInputs = old.propagatedBuildInputs ++ [
      final-py.setuptools-scm
    ];
  });

  edfio = let
    version = "0.4.1";
    pname = "edfio";
  in final-py.buildPythonPackage {
    inherit pname version;
    format = "pyproject";
    
    src = final.fetchFromGitHub {
      owner = "the-siesta-group";
      repo = pname;
      rev = "v${version}";
      hash = "sha256-+yb3Q/JximkVS6SOTFnjMYghbOi+UBbqW2Bs29eSonA=";
    };

    nativeBuildInputs = with final-py; [
      poetry-core
      poetry-dynamic-versioning
    ];
    
    propagatedBuildInputs = with final-py; [
      numpy
    ];
  };
} // (import ./spynnaker.nix final final-py prev-py)
