{ config, lib, pkgs, ... }: {
  virtualisation = {
    podman = {
      enable = true;
    };
    docker.rootless = {
      enable = true;
      setSocketVariable = true;
    };
    # For compatability, and for some reason this isn't able to be per
    # container?
    oci-containers.backend = "docker";
  };

  environment.systemPackages = with pkgs; [
    # Nicely Make and Run Container Sets
    podman-compose
    # For Running Simulations Containerized
    apptainer
  ];
}
